aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--.bazelci/presubmit.yml4
-rw-r--r--src/test/shell/bazel/BUILD33
-rw-r--r--src/test/shell/bazel/remote/BUILD39
-rwxr-xr-xsrc/test/shell/bazel/remote/remote_execution_http_test.sh (renamed from src/test/shell/bazel/remote_execution_http_test.sh)2
-rwxr-xr-xsrc/test/shell/bazel/remote/remote_execution_sandboxing_test.sh (renamed from src/test/shell/bazel/remote_execution_sandboxing_test.sh)4
-rwxr-xr-xsrc/test/shell/bazel/remote/remote_execution_test.sh (renamed from src/test/shell/bazel/remote_execution_test.sh)2
6 files changed, 46 insertions, 38 deletions
diff --git a/.bazelci/presubmit.yml b/.bazelci/presubmit.yml
index 9e4976eb0c..eca490cdc9 100644
--- a/.bazelci/presubmit.yml
+++ b/.bazelci/presubmit.yml
@@ -56,8 +56,8 @@ platforms:
- "-//src/test/shell/bazel:bazel_determinism_test"
- "-//src/test/shell/bazel:bazel_java_test"
- "-//src/test/shell/bazel:bazel_bootstrap_distfile_test"
- - "-//src/test/shell/bazel:remote_execution_test"
- - "-//src/test/shell/bazel:remote_execution_http_test"
+ - "-//src/test/shell/bazel/remote:remote_execution_test"
+ - "-//src/test/shell/bazel/remote:remote_execution_http_test"
- "-//src/test/shell/bazel:skylark_git_repository_test"
- "-//src/test/shell/bazel:external_path_test"
- "-//src/test/py/bazel:runfiles_test"
diff --git a/src/test/shell/bazel/BUILD b/src/test/shell/bazel/BUILD
index baf149d601..889c76cdc6 100644
--- a/src/test/shell/bazel/BUILD
+++ b/src/test/shell/bazel/BUILD
@@ -5,6 +5,7 @@ filegroup(
srcs = glob(["**"]) + [
"//src/test/shell/bazel/android:srcs",
"//src/test/shell/bazel/apple:srcs",
+ "//src/test/shell/bazel/remote:srcs",
"//src/test/shell/bazel/testdata:srcs",
],
visibility = ["//src/test/shell:__pkg__"],
@@ -420,38 +421,6 @@ sh_test(
)
sh_test(
- name = "remote_execution_test",
- size = "large",
- timeout = "eternal",
- srcs = ["remote_execution_test.sh"],
- data = [
- ":test-deps",
- "//src/tools/remote:worker",
- ],
-)
-
-sh_test(
- name = "remote_execution_http_test",
- size = "large",
- srcs = ["remote_execution_http_test.sh"],
- data = [
- ":test-deps",
- "//src/tools/remote:worker",
- ],
-)
-
-sh_test(
- name = "remote_execution_sandboxing_test",
- size = "large",
- srcs = ["remote_execution_sandboxing_test.sh"],
- data = [
- ":test-deps",
- "//src/test/shell:sandboxing_test_utils.sh",
- "//src/tools/remote:worker",
- ],
-)
-
-sh_test(
name = "client_test",
size = "medium",
srcs = ["client_test.sh"],
diff --git a/src/test/shell/bazel/remote/BUILD b/src/test/shell/bazel/remote/BUILD
new file mode 100644
index 0000000000..7f475e000a
--- /dev/null
+++ b/src/test/shell/bazel/remote/BUILD
@@ -0,0 +1,39 @@
+package(default_visibility = ["//visibility:private"])
+
+filegroup(
+ name = "srcs",
+ srcs = glob(["**"]),
+ visibility = ["//src/test/shell/bazel:__pkg__"],
+)
+
+sh_test(
+ name = "remote_execution_test",
+ size = "large",
+ timeout = "eternal",
+ srcs = ["remote_execution_test.sh"],
+ data = [
+ "//src/test/shell/bazel:test-deps",
+ "//src/tools/remote:worker",
+ ],
+)
+
+sh_test(
+ name = "remote_execution_http_test",
+ size = "large",
+ srcs = ["remote_execution_http_test.sh"],
+ data = [
+ "//src/test/shell/bazel:test-deps",
+ "//src/tools/remote:worker",
+ ],
+)
+
+sh_test(
+ name = "remote_execution_sandboxing_test",
+ size = "large",
+ srcs = ["remote_execution_sandboxing_test.sh"],
+ data = [
+ "//src/test/shell:sandboxing_test_utils.sh",
+ "//src/test/shell/bazel:test-deps",
+ "//src/tools/remote:worker",
+ ],
+)
diff --git a/src/test/shell/bazel/remote_execution_http_test.sh b/src/test/shell/bazel/remote/remote_execution_http_test.sh
index ddec68109f..fa21adab53 100755
--- a/src/test/shell/bazel/remote_execution_http_test.sh
+++ b/src/test/shell/bazel/remote/remote_execution_http_test.sh
@@ -19,7 +19,7 @@
# Load the test setup defined in the parent directory
CURRENT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
-source "${CURRENT_DIR}/../integration_test_setup.sh" \
+source "${CURRENT_DIR}/../../integration_test_setup.sh" \
|| { echo "integration_test_setup.sh not found!" >&2; exit 1; }
function set_up() {
diff --git a/src/test/shell/bazel/remote_execution_sandboxing_test.sh b/src/test/shell/bazel/remote/remote_execution_sandboxing_test.sh
index 06dd9cb32b..7ebe7e448e 100755
--- a/src/test/shell/bazel/remote_execution_sandboxing_test.sh
+++ b/src/test/shell/bazel/remote/remote_execution_sandboxing_test.sh
@@ -19,9 +19,9 @@
# Load the test setup defined in the parent directory
CURRENT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
-source "${CURRENT_DIR}/../integration_test_setup.sh" \
+source "${CURRENT_DIR}/../../integration_test_setup.sh" \
|| { echo "integration_test_setup.sh not found!" >&2; exit 1; }
-source "${CURRENT_DIR}/../sandboxing_test_utils.sh" \
+source "${CURRENT_DIR}/../../sandboxing_test_utils.sh" \
|| { echo "sandboxing_test_utils.sh not found!" >&2; exit 1; }
function set_up() {
diff --git a/src/test/shell/bazel/remote_execution_test.sh b/src/test/shell/bazel/remote/remote_execution_test.sh
index 9f6ba52fcd..277b882c6d 100755
--- a/src/test/shell/bazel/remote_execution_test.sh
+++ b/src/test/shell/bazel/remote/remote_execution_test.sh
@@ -19,7 +19,7 @@
# Load the test setup defined in the parent directory
CURRENT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
-source "${CURRENT_DIR}/../integration_test_setup.sh" \
+source "${CURRENT_DIR}/../../integration_test_setup.sh" \
|| { echo "integration_test_setup.sh not found!" >&2; exit 1; }
function set_up() {